Update a global runner
PATCH
/admin/actions/runners/{runner_id}
const url = 'https://gitea.example.com/api/v1/admin/actions/runners/example';const options = { method: 'PATCH', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"disabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://gitea.example.com/api/v1/admin/actions/runners/example \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "disabled": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runner_id
required
string
Id of the runner
Request Body
Section titled “Request Body”Media typeapplication/json
EditActionRunnerOption represents the editable fields for a runner.
object
disabled
required
boolean
Examplegenerated
{ "disabled": true}Responses
Section titled “Responses”Runner
Media typeapplication/json
ActionRunner represents a Runner
object
busy
boolean
disabled
boolean
ephemeral
boolean
id
integer format: int64
labels
Array<object>
ActionRunnerLabel represents a Runner Label
object
id
integer format: int64
name
string
type
string
name
string
status
string
Examplegenerated
{ "busy": true, "disabled": true, "ephemeral": true, "id": 1, "labels": [ { "id": 1, "name": "example", "type": "example" } ], "name": "example", "status": "example"}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json
APIValidationError is error format response related to input validation
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string